summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2018-11-21 20:22:02 +0000
committerSergei Trofimovich <slyfox@gentoo.org>2018-11-21 22:34:06 +0000
commit7baf80d18d840c764a49035f4a9b7b2ae8723b50 (patch)
treed6da5649474e1789b703b5eca4197ed1bc8beb06
parentpackage.mask: last-rite net-nds/gosa* (diff)
downloadgentoo-7baf80d18d840c764a49035f4a9b7b2ae8723b50.tar.gz
gentoo-7baf80d18d840c764a49035f4a9b7b2ae8723b50.tar.bz2
gentoo-7baf80d18d840c764a49035f4a9b7b2ae8723b50.zip
sys-devel/autogen: avoid running autoreconf
It's not a fix of bug #671616 but a step in direction when result does not depend on presence of autoconf. Not I get install failure described in the bug consistently. Bug: https://bugs.gentoo.org/671616 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
-rw-r--r--sys-devel/autogen/autogen-5.18.16.ebuild12
-rw-r--r--sys-devel/autogen/files/autogen-5.18.16-no-werror.patch12
2 files changed, 18 insertions, 6 deletions
diff --git a/sys-devel/autogen/autogen-5.18.16.ebuild b/sys-devel/autogen/autogen-5.18.16.ebuild
index fc70a815c93..c3f3fedf69a 100644
--- a/sys-devel/autogen/autogen-5.18.16.ebuild
+++ b/sys-devel/autogen/autogen-5.18.16.ebuild
@@ -22,6 +22,18 @@ PATCHES=(
"${FILESDIR}"/${PN}-5.18.16-no-werror.patch
)
+src_prepare() {
+ # no-werror.patch fixes both configure{.ac,}
+ # avoid configure echeck
+ touch -r configure.ac orig.configure.ac || die
+ touch -r configure orig.configure || die
+
+ default
+
+ touch -r orig.configure.ac configure.ac || die
+ touch -r orig.configure configure || die
+}
+
src_configure() {
# suppress possibly incorrect -R flag
export ag_cv_test_ldflags=
diff --git a/sys-devel/autogen/files/autogen-5.18.16-no-werror.patch b/sys-devel/autogen/files/autogen-5.18.16-no-werror.patch
index 7f9f36428e1..ee8245ca8ac 100644
--- a/sys-devel/autogen/files/autogen-5.18.16-no-werror.patch
+++ b/sys-devel/autogen/files/autogen-5.18.16-no-werror.patch
@@ -1,13 +1,13 @@
---- a/configure
-+++ b/configure
-@@ -18926,3 +18926,3 @@ test "X${GCC}" = Xyes && {
+--- a/configure.ac
++++ b/configure.ac
+@@ -200,3 +200,3 @@ test "X${GCC}" = Xyes && {
CFLAGS="$CFLAGS -Wno-format-contains-nul -fno-strict-aliasing"
- WARN_CFLAGS="$CFLAGS "`echo -Wall -Werror -Wcast-align -Wmissing-prototypes \
+ WARN_CFLAGS="$CFLAGS "`echo -Wall -Wcast-align -Wmissing-prototypes \
-Wpointer-arith -Wshadow -Wstrict-prototypes -Wwrite-strings \
---- a/configure.ac
-+++ b/configure.ac
-@@ -200,3 +200,3 @@ test "X${GCC}" = Xyes && {
+--- a/configure
++++ b/configure
+@@ -18926,3 +18926,3 @@ test "X${GCC}" = Xyes && {
CFLAGS="$CFLAGS -Wno-format-contains-nul -fno-strict-aliasing"
- WARN_CFLAGS="$CFLAGS "`echo -Wall -Werror -Wcast-align -Wmissing-prototypes \
+ WARN_CFLAGS="$CFLAGS "`echo -Wall -Wcast-align -Wmissing-prototypes \